Subject: Re: bug#32744: There seems to be a bug in current-column in character mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Sep 2018 18:22:45 +0300

> From: Kalman Reti <[email-masked]>
> Date: Mon, 17 Sep 2018 10:54:50 -0400
> Cc: [email-masked]
> 
>  > The doc string for the function doesn't clarify the intended meaning.
> 
> I think the doc string for current column should be enhanced to say what it is returning.

What would you want it to say in addition or differently to what it
says now?

>  It's a bug in bubbles.el, now fixed on the emacs-26 branch.  The patch
>  is below, so you can apply it locally if you want.
> 
> The existing bubbles code works for both gui and character mode in emacs 22, so I'd characterize it less as a
> bug in bubbles as an incompatibility introduced after emacs 22.

I don't see bubbles.el in any Emacs 22.x release I have here.  Maybe
you have some downstream distribution which backported the game from
Emacs 23?

I did try in Emacs 23, and I saw the same problem there.  And the
initial revision of bubbles.el I see in Git has the same problem on
TTY frames as the one I described.

Perhaps there was some bug/misfeature in current-column, which was
meanwhile fixed.

> Is there some other function that will give 'how many forward-chars necessary to go from beginning of line to
> here?

I think you want posn-actual-col-row.